#include <iostream>
#include <string>
#include<stdio.h>
#include<stdlib.h>
#include <bits/stdc++.h>
using namespace std;
int main()
{
 long long int n, A, B, AB, O, a, b, o, ab, s;
 char q;
 scanf("%lld", &n);
 scanf("%lld%lld%lld%lld", &O, &A, &B, &AB);
for (int i=0; i<n; i++)
{
     scanf("%c", &q);
      scanf("%lld", &s);
}
printf("nemoguce");
 return 0;
}